<html>
  <head></head>
  <body>
    <div id="one-step-checkout-wrapper"></div>

    <style>
      .timer_fire_image {
        height: 20px;
        float: left;
        position: absolute;
        top: 0;
        bottom: 0;
        margin: auto 5px;
      }

      .timer {
        position: relative;
        background: #fff5d2;
        width: auto;
        border-radius: 5px;
        border: 1px solid #e3df74;
      }

      .timer p {
        font-weight: bold;
        font-size: 14px;
        margin: 10px;
        color: #2c2c2c;
        padding: 0px 15px;
      }
    </style>

    <script>
      var distanceTillEnd = 10 * 60 * 1000 - (1000 * 33);

      function initClock() {
        var timerStart = new Date().getTime();

        var timeEnd = timerStart + distanceTillEnd;

        startClock(timerStart, timeEnd);
      }

      function startClock(startTime, countDownDate) {
        var interval = setInterval(function() {
          var now = new Date().getTime();
          var distance = countDownDate - now;

          var minutes = Math.floor((distance % (1000 * 60 * 60)) / (1000 * 60));
          var seconds = Math.floor((distance % (1000 * 60)) / 1000);

          var minutesContainer = document.querySelectorAll('.minutes');
          var secondsContainer = document.querySelectorAll('.seconds');

          minutesContainer.forEach(cont => cont.innerHTML = `${minutes} m`);
          secondsContainer.forEach(cont => cont.innerHTML = `${seconds} s`);

          if (distance < 0) {
            clearInterval(interval);
            document.getElementById("timer").innerHTML = "ESSA PROMOÇÃO ACABOU";
          }
        }, 1000);
      }

      function begin() {
        var html = `<div class="timer">
        <p>
          Esta oferta acabará em 
          <span class="minutes"></span>
          <span class="seconds"></span>
          <br />
          Use o cupom <strong>PAGUE5</strong> para ganhar 5% de desconto
        </p>
      </div>`;

	var oneStepCheckout = document.querySelector('#one-step-checkout-main');


	setTimeout(function() {
	var labelLinkCoupon = document.querySelector('#label-link-coupon');
	console.log(labelLinkCoupon);
	if (labelLinkCoupon) {
		labelLinkCoupon.click();
	}
}, 4000);

	if (!oneStepCheckout) {
		return;
	}

        var containers = oneStepCheckout
                                   .querySelectorAll('li#cart-products, li#cart-email, li#cart-final');

        containers.forEach(container => container.innerHTML = `${html}${container.innerHTML}`);
        initClock();
      }

	function openCoupon() {
		
	}

      begin();
    </script>
  </body>
</html>
